ISXEQ2 - Bug #1335

Item Datatype .ExamineText Crashing
2015-01-08 12:53 PM - bjcasey

Status: Closed
Priority: Urgent
Assignee: Amadeus
Category: Crash

Target version:

vbulletin_issue_id:

Description

Typing: ${Me.CustomInventory["Lavacrafter's Robe of Superior Stamina"].ExamineText} will sometimes cause a crash. Different
items didn't matter. If the session was going to crash it will do it on the first .ExamineText.

Crash log is below:

http://pastebin.com/Jjnru3uT

History

#1 - 2015-01-08 11:42 PM - Amadeus
- Status changed from New to Feedback Required

| just uploaded a test version (20150106.0002) to http://updates.isxgames.com/isxeq2/test ~ Try it and see if it has the same crash using
item.ExamineText.

#2 - 2015-01-11 08:15 PM - Amadeus
- Status changed from Feedback Required to Closed

| did not see any way to resolve this crash. Until there is a pattern, | don't see a way to fix it. So, my suggestion would be to avoid using this member
entirely and, instead, use the "TextVector" MEMBER of the examineitemwindow datatype:

December 19, 2006 —-- By Amadeus

[ISXEQ2-20061215b.exe]

* Added the following new MEMBERS to the 'examineitemwindow' datatype:
1. TextVector (int type) [ Number of "Texts" in the TextVector ]
2. TextVector[#] (egq2uielement type) ['"text' eq2uielement type]

So, for each item you would need to "examine" it so that the window opens, and then use ${ExamineltemWindow.TextVector} to get the information
you want.

To be honest, this may be the only way to safely get the information. The method that | use for "ExamineText" is hackish and not anticipated by the
client, so that's probably why it's not stable. (The client doesn't really need to know the examinetext except for *in* an ExamineltemWindow.)
